"use strict";

const operations = require("../operations");
const evaluateCyclicalModulesOnto = require("../evaluate-cyclical-modules-onto");

// Shallow clone, so that internal operations can see the public API, but not vice versa
let internalOperations = Object.assign({}, operations);

evaluateCyclicalModulesOnto(internalOperations, {
	_condition: require("./condition"),
	_arrayOf: require("./array-of"),
});

module.exports = internalOperations;
